Skip to content

Get Work Memory

GET
/work/memory

Every topic in one memory scope, and whether this caller may edit it.

Authorizations

Parameters

Query Parameters

scope

personal, agent or team

string
default: personal
Allowed values: personal agent team

personal, agent or team

agent_id
Any of:
string format: uuid

Required for, and only for, agent scope

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

Every topic in one memory scope.

object
agent_id
Any of:
string
can_edit
Any of:
boolean
entries
Any of:
Array<object>

One memory topic.

object
content
Any of:
string
revision
Any of:
string
size_bytes
Any of:
integer
topic
Any of:
string
updated_at
Any of:
string
key
additional properties
any
scope
Any of:
string
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string